Class | Bio::PDB::Heterogen
In: | lib/bio/db/pdb/residue.rb
Parent: | Residue

Bio::PDB::Heterogen is a class to store a heterogen. It inherits Bio::PDB::Residue and most of the methods are the same.

The object would contain some HETATMs (Bio::PDB::Record::HETATM objects).

### Methods

hetatm

### Included Modules

HetatmFinder

### External Aliases

each | -> | each_hetatm
| Alias to override HetatmFinder#each_hetatm
atoms | -> | hetatms
| Alias needed for HeterogenFinder.
residue_id | -> | heterogen_id
| Alias to avoid confusion

### Public Instance methods

hetatm()

Always returns true.

If the residue is HETATM, returns true. Otherwise, returns false.

[Source]

         # File lib/bio/db/pdb/residue.rb, line 160
    160:       def hetatm
    161:         true
    162:       end

[Validate]